Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357845 - Missing critical and recovery email for "Storage Utilization"
Summary: Missing critical and recovery email for "Storage Utilization"
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: core
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2
Assignee: gowtham
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On: 1358267
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 11:49 UTC by Martin Kudlej
Modified: 2016-07-27 07:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-20 09:58:03 UTC


Attachments (Terms of Use)
skyring logs from server (deleted)
2016-07-19 11:55 UTC, Martin Kudlej
no flags Details
All mails received successfully when utilization crossed threshold (deleted)
2016-07-20 09:11 UTC, gowtham
no flags Details
All mails received successfully when utilization come to normal (deleted)
2016-07-20 09:13 UTC, gowtham
no flags Details
mail for pool utilization also received (deleted)
2016-07-20 12:38 UTC, gowtham
no flags Details
Event for pool utilization (deleted)
2016-07-20 12:42 UTC, gowtham
no flags Details

Description Martin Kudlej 2016-07-19 11:49:35 UTC
Description of problem:
If storage reaches more than 90% utilization Console should send emails about:
1) critical "Storage Utilization"
2) critical "Cluster" utilization
3) critical "Mount Point Utilization"

I've received only 2) and 3).

Version-Release number of selected component (if applicable):
ceph-ansible-1.0.5-27.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.33-1.el7scon.x86_64
rhscon-core-0.0.34-1.el7scon.x86_64
rhscon-core-selinux-0.0.34-1.el7scon.noarch
rhscon-ui-0.0.48-1.el7scon.noarch

How reproducible:
100%

Steps to Reproduce:
1. set email notifications
2. create cluster and pool and fill it by data more than 90% utilization
3. wait for emails according cluster configuration

Actual results:
It doesn't send email about Storage Utilization threshold exceeding and recovery email.

Expected results:
It will send emails about exceeding all thresholds and recovering according cluster configuration.

Comment 2 Martin Kudlej 2016-07-19 11:55:54 UTC
Created attachment 1181610 [details]
skyring logs from server

Comment 3 gowtham 2016-07-20 09:11:33 UTC
Created attachment 1181981 [details]
All mails received successfully when  utilization crossed threshold

I have received all the mails successfully when utilization cross threashold

Comment 4 gowtham 2016-07-20 09:13:13 UTC
Created attachment 1181982 [details]
All mails received successfully when utilization come to normal

All mails received successfully when utilization come to normal

Comment 5 gowtham 2016-07-20 09:15:07 UTC
In my setup all mails are received successfully, Please check your setup and try it once again.

Comment 7 gowtham 2016-07-20 12:38:43 UTC
Created attachment 1182106 [details]
mail for pool utilization also received

mail for pool utilization also received successfully

Comment 8 gowtham 2016-07-20 12:42:38 UTC
Created attachment 1182107 [details]
Event for pool utilization

Event for pool utilization


Note You need to log in before you can comment on or make changes to this bug.